## org.eclipse.datatools.sqltools.sqlbuilder.dialogs
Class AddTableDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.datatools.sqltools.sqlbuilder.dialogs.AddTableDialog

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider

    public class AddTableDialog

extends org.eclipse.jface.dialogs.Dialog

A simple input dialog that lists all the available tables and returns the selected one.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary
`static java.lang.Object` `ADD_TABLE`
`static java.lang.Object` `ADDING_PARENT_VIEW`
`static java.lang.Object` `REPLACE_TABLE`
`static java.lang.Object` `TABLE_ALREADY_ADDED`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`AddTableDialog(org.eclipse.swt.widgets.Shell parentShell, SQLDomainModel domainModel, java.lang.Object obj, java.util.Vector tables)` Creates a dialog with an OK and Cancel button.

Method Summary
`boolean` `checkforAlias(java.util.Vector tableVector, java.lang.String aliasName)`
`boolean` `checkForTable(java.util.Vector tableVector, SQLObject checkTable)`
`org.eclipse.swt.widgets.Control` `createDialogArea(org.eclipse.swt.widgets.Composite parent)` Creates and returns the contents of an area of the dialog which appears below the message and above the button bar.
`java.lang.String` `getTableAlias()` Return the table alias for the selected table
`java.util.List` `getTablesList()`
`SQLObject` `getTableValue()` Return the selected table
`int` `open()`
`void` `setAction(java.lang.Object action)`
`void` `setFocusAliasTextField()`
`void` `setReplaceTitle(java.lang.String tableName)`

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, close, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REPLACE_TABLE

    public static java.lang.Object REPLACE_TABLE

### ADD_TABLE

    public static java.lang.Object ADD_TABLE

### TABLE_ALREADY_ADDED

    public static java.lang.Object TABLE_ALREADY_ADDED

### ADDING_PARENT_VIEW

    public static java.lang.Object ADDING_PARENT_VIEW

Constructor Detail

### AddTableDialog

    public AddTableDialog(org.eclipse.swt.widgets.Shell parentShell,
                          SQLDomainModel domainModel,
                          java.lang.Object obj,
                          java.util.Vector tables)

  Creates a dialog with an OK and Cancel button.

Method Detail

### open

    public int open()

  Overrides:
    `open` in class `org.eclipse.jface.window.Window`

### setFocusAliasTextField

    public void setFocusAliasTextField()

### setAction

    public void setAction(java.lang.Object action)

### setReplaceTitle

    public void setReplaceTitle(java.lang.String tableName)

### checkForTable

    public boolean checkForTable(java.util.Vector tableVector,
                                 SQLObject checkTable)

### checkforAlias

    public boolean checkforAlias(java.util.Vector tableVector,
                                 java.lang.String aliasName)

### createDialogArea

    public org.eclipse.swt.widgets.Control createDialogArea(org.eclipse.swt.widgets.Composite parent)

  Creates and returns the contents of an area of the dialog which appears below the message and above the button bar.

  Overrides:
    `createDialogArea` in class `org.eclipse.jface.dialogs.Dialog`

### getTableValue

    public SQLObject getTableValue()

  Return the selected table

### getTablesList

    public java.util.List getTablesList()

### getTableAlias

    public java.lang.String getTableAlias()

  Return the table alias for the selected table